classes = {
           #Maya
           'AUTO_DELETE': [('operators.auto_delete', [('AutoDelete', 'auto_delete')])],
           'TOGGLE_RETOPOLOGY': [('operators.toggle_retopology', [('ToggleRetopology', 'toggle_retopology')])],
           'MAYA_PIVOT': [('operators.maya_pivot', [('PivotPress', 'pivot_press')])],
           'MAYA_NAVIGATION': [('operators.maya_navigation', [('MayaNavigation', 'maya_navigation')])],
           'DOUBLE_CLICK_SELECT_ISLAND': [('operators.double_click_select_island', [('DoubleClickSelectIsland', 'double_click_select_island')])],        
           #UV
           'UV_PIES': [('menu.pies', [('UVSpacePie', 'uv_space_pie')])],
           'UV_TOOLS': [('operators.uv_tools', [('SmartUVSync', 'smart_uv_sync')])],                                                                                                         
           #Extras
           'LEGACY_SHORTCUTS': [('operators.legacy_shortcuts', [('LegacyShortcuts', 'legacy_shortcuts')])],
           'FAST_MERGE': [('operators.fast_merge', [('FastMerge', 'fast_merge')])],     
           'MODI_KEY': [('operators.modi_key', [('ModiKey', 'modi_key')])],
           'VIEWPORT_MENU': [('operators.viewport_menu', [('ViewportMenu', 'viewport_menu')])],
           'ATRI_OP': [('operators.atri_op', [('AtriOP', 'atri_op')])],
           'OUTLINER_OPTIONS': [('operators.outliner_options', [('OutlinerOptions', 'outliner_options')])],
           #Pie Menu
           'ADD_OBJECTS_PIE': [('operators.add_mesh', [('AddMesh', 'add_mesh')])],
           'UTILITY_PIE': [('menu.pies', [('UtilityPie', 'utility_pie')])],
           'ADD_MODIFIER_PIE': [('operators.add_modifier', [('Dummy_AddModifier', 'dummy_add_modifier')])],
           'WORKSPACE_PIE': [('menu.pies', [('WorkspacePie', 'workspace_pie')])],             
           'CURSOR_PIE': [('operators.origin_to_selection', [('OriginToSelection', 'origin_to_selection')])],     
           #Game Art Toolkit
           'CAD_DECIMATE': [('operators.cad_decimate', [('CADDecimate', 'cad_decimate')])],
           'AUTO_LOD': [('operators.auto_lod', [('AutoLOD', 'auto_lod')])],
           'QUICK_BAKE_NAME': [('operators.quick_bake_name', [('QuickBakeName', 'quick_bake_name')])],
           'POLYCOUNT_LIST': [('operators.poly_count_list', [('PolyCountList', 'poly_count_list')])], 
           'TOOLKIT_PANEL': [('operators.toolkit_panel', [('ToolkitPanel', 'toolkit_panel')])],
           'QUICK_EXPORT': [('operators.quick_export', [('QuickExport', 'quick_export')])],
           'MATERIAL_INDEX': [('operators.material_index', [('MaterialIndex', 'material_index')])],
        }
keymap_items = {   
        #Maya      
        'AUTO_DELETE': [{'label': 'Auto Delete', 'keymap': 'Mesh', 'idname': 'keyops.auto_delete', 'type': 'DEL', 'value': 'PRESS'}],
                        # {'label': 'Auto Delete', 'keymap': 'Object Mode', 'idname': 'keyops.auto_delete', 'type': 'X', 'value': 'PRESS', 'properties': [('object_mode', True)]}],
        'TOGGLE_RETOPOLOGY': [{'label': 'Toggle Retopology', 'keymap': 'Mesh', 'idname': 'keyops.toggle_retopology', 'type': 'FIVE', 'value': 'PRESS', 'properties': [('type', '')]}],
        'MAYA_PIVOT': [{'label': 'Move Pivot Press', 'keymap': 'Object Mode', 'idname': 'keyops.pivot_press', 'type': 'D', 'value': 'PRESS', 'properties': [('type', 'PivotPress')]},
                       {'label': 'Move Pivot Release', 'keymap': 'Object Mode', 'idname': 'keyops.pivot_press', 'type': 'D', 'value': 'RELEASE', 'properties': [('type', 'PivotRelease')]},
                       {'label': 'Move Pivot Press', 'keymap': 'Mesh', 'idname': 'keyops.pivot_press', 'type': 'D', 'value': 'PRESS', 'properties': [('type', 'PivotPress')]},
                       {'label': 'Move Pivot Release', 'keymap': 'Mesh', 'idname': 'keyops.pivot_press', 'type': 'D', 'value': 'RELEASE', 'properties': [('type', 'PivotRelease')]}],
        'MAYA_NAVIGATION': [{'label': 'Maya Navigation', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'view3d.rotate', 'type': 'LEFTMOUSE', 'value': 'CLICK_DRAG','alt': True},
                            {'label': 'Maya Navigation', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'view3d.move', 'type': 'MIDDLEMOUSE', 'value': 'CLICK_DRAG','alt': True},
                            {'label': 'Maya Navigation', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'view3d.zoom', 'type': 'RIGHTMOUSE', 'value': 'CLICK_DRAG','alt': True},
                            {'label': 'Maya Navigation', 'keymap': 'Image', 'space_type': 'IMAGE_EDITOR', 'idname': 'image.view_pan', 'type': 'MIDDLEMOUSE', 'value': 'CLICK_DRAG', 'alt': True},
                            {'label': 'Maya Navigation', 'keymap': 'Image', 'space_type': 'IMAGE_EDITOR', 'idname': 'image.view_zoom', 'type': 'RIGHTMOUSE', 'value': 'CLICK_DRAG', 'alt': True},
                            {'label': 'Maya Navigation', 'keymap': 'View2D', 'space_type': 'EMPTY', 'idname': 'view2d.pan', 'type': 'MIDDLEMOUSE', 'value': 'CLICK_DRAG', 'alt': True},
                            {'label': 'Maya Navigation', 'keymap': 'View2D', 'space_type': 'EMPTY', 'idname': 'view2d.zoom', 'type': 'RIGHTMOUSE', 'value': 'CLICK_DRAG', 'alt': True}],
        'DOUBLE_CLICK_SELECT_ISLAND': [{'label': 'Select Mesh island', 'keymap': 'Mesh', 'idname': 'mesh.select_linked', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK'},
                                       {'label': 'Extended Select Mesh islands', 'keymap': 'Mesh', 'idname': 'mesh.select_linked_pick', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'shift': True, 'properties': [('deselect', False)]},
                                       {'label': 'Extended deselect Mesh islands', 'keymap': 'Mesh', 'idname': 'mesh.select_linked_pick', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'ctrl': True, 'properties': [('deselect', True)]},
                                       {'label': 'Select UV islamd', 'keymap': 'UV Editor', 'idname': 'keyops.double_click_select_island', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK'},
                                       {'label': 'Extended Select UV islands ', 'keymap': 'UV Editor', 'idname': 'uv.select_linked_pick', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'shift': True, 'properties': [('extend', True)]},
                                       {'label': 'Extended deselect UV islands', 'keymap': 'UV Editor', 'idname': 'uv.select_linked_pick', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'ctrl': True, 'properties': [('deselect', True)]},
                                       {'label': 'Select Edge Loop', 'keymap': 'Mesh', 'idname': 'keyops.select_edge_loop', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK'},
                                       {'label': 'Shift Select Edge Loop', 'keymap': 'Mesh', 'idname': 'keyops.select_edge_loop_shift', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'shift': True},
                                       {'label': 'Select Curve island', 'keymap': 'Curve', 'idname': 'keyops.double_click_select_island', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK'},
                                       {'label': 'Extended Select Curve island', 'keymap': 'Curve', 'idname': 'curve.select_linked', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'shift': True},
                                       {'label': 'Extended Deselect Curve island', 'keymap': 'Curve', 'idname': 'curve.select_linked_pick', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK', 'ctrl': True, 'properties': [('deselect', True)]},
                                       {'label': 'Select Curve island', 'keymap': 'Curves', 'idname': 'curves.select_linked', 'type': 'LEFTMOUSE', 'value': 'DOUBLE_CLICK'}],
                                   
        'UV_PIES': [{'label': 'UV Space Pie', 'keymap': 'UV Editor', 'idname': 'wm.call_menu_pie', 'type': 'SPACE', 'value': 'PRESS', 'properties': [('name', 'KEYOPS_MT_uv_space_pie')]},
                    {'label': 'UV Q Pie', 'keymap': 'UV Editor', 'idname': 'wm.call_menu_pie', 'type': 'Q', 'value': 'PRESS', 'properties': [('name', 'KEYOPS_MT_uv_q_pie')]}],
        'UV_TOOLS': [{'label': 'Smart UV Sync', 'keymap': 'UV Editor', 'idname': 'keyops.smart_uv_sync', 'type': 'RIGHTMOUSE', 'value': 'PRESS'},
                     {'label': 'Remove Seam','keymap': 'Mesh', 'idname': 'keyops.remove_seam', 'type': 'TWO', 'value': 'PRESS','alt': True},
                     {'label': 'UV Cut', 'keymap': 'UV Editor', 'idname': 'uv.keyops_uv_cut', 'type': 'X', 'value': 'PRESS', 'shift': True, 'properties': [('quick', False)]},
                     {'label': 'UV Quick Cut', 'keymap': 'UV Editor', 'idname': 'uv.keyops_uv_cut', 'type': 'X', 'value': 'PRESS', 'properties': [('quick', True)]}],
        #Extras 
        'LEGACY_SHORTCUTS': [{'label': 'Poke Faces', 'keymap': 'Mesh', 'idname': 'mesh.poke', 'type': 'P', 'value': 'PRESS', 'alt': True},
                             {'label': 'Average Island Scale', 'keymap': 'UV Editor', 'idname': 'uv.average_islands_scale', 'type': 'A', 'value': 'PRESS', 'ctrl': True},
                             {'label': 'Pack Islands', 'keymap': 'UV Editor', 'idname': 'uv.pack_islands', 'type': 'P', 'value': 'PRESS', 'ctrl': True},
                             {'label': 'Copy UVs', 'keymap': 'UV Editor', 'idname': 'uv.copy', 'type': 'C', 'value': 'PRESS', 'ctrl': True},
                             {'label': 'Paste UVs', 'keymap': 'UV Editor', 'idname': 'uv.paste', 'type': 'V', 'value': 'PRESS', 'ctrl': True},
                             {'label': 'Grow Selection', 'keymap': 'Mesh', 'idname': 'mesh.select_more', 'repeat': True, 'type': 'GRLESS', 'value': 'PRESS'},
                             {'label': 'Shrink Selection', 'keymap': 'Mesh', 'idname': 'mesh.select_less', 'repeat': True, 'type': 'GRLESS', 'value': 'PRESS', 'shift': True},
                             {'label': 'Grow Selection', 'keymap': 'UV Editor', 'idname': 'mesh.select_more', 'repeat': True, 'type': 'GRLESS', 'value': 'PRESS'},
                             {'label': 'Shrink Selection', 'keymap': 'UV Editor', 'idname': 'mesh.select_less', 'repeat': True, 'type': 'GRLESS', 'value': 'PRESS', 'shift': True}],
        'FAST_MERGE': [{'label': 'Fast Merge', 'keymap': 'Mesh', 'idname': 'keyops.fast_merge', 'type': 'ONE', 'value': 'PRESS', 'repeat': True},
                       {'label': 'Merge at Center', 'keymap': 'Mesh', 'idname': 'mesh.merge', 'type': 'ONE', 'value': 'PRESS', 'alt': True, 'properties': [('type', 'CENTER')]},
                       {'label': 'Fast Connect', 'keymap': 'Mesh', 'idname': 'mesh.fast_connect', 'type': 'ONE', 'value': 'PRESS', 'shift': True}],
        'MODI_KEY': [{'label': 'Move Modifier Up', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'Q', 'value': 'PRESS', 'repeat': True, 'properties': [('type', 'move_up')]},
                     {'label': 'Move Modifier Top', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'Q', 'value': 'PRESS', 'shift': True, 'properties': [('type', 'move_top')]},
                     {'label': 'Move Modifier Down', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'E', 'value': 'PRESS', 'repeat': True, 'properties': [('type', 'move_down')]},
                     {'label': 'Move Modifier Bottom', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'E', 'value': 'PRESS', 'shift': True, 'properties': [('type', 'move_bottom')]},
                     {'label': 'Selection Up', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'W', 'value': 'PRESS', 'repeat': True, 'properties': [('type', 'select_up')]},
                     {'label': 'Select Top Modifier', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'W', 'value': 'PRESS', 'shift': True, 'properties': [('type', 'select_top')]},
                     {'label': 'Selection Down', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'S', 'value': 'PRESS', 'repeat': True, 'properties': [('type', 'select_down')]},
                     {'label': 'Select Bottom Modifier', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'S', 'value': 'PRESS', 'shift': True, 'properties': [('type', 'select_bottom')]},
                     {'label': 'Render Toggle', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'ONE', 'value': 'PRESS', 'properties': [('type', 'Render_Toggle')]},
                     {'label': 'Viewport Toggle', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'TWO', 'value': 'PRESS', 'properties': [('type', 'Viewport_Toggle')]},
                     {'label': 'Viewport Toggle Selected', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'TWO', 'alt': True, 'value': 'PRESS', 'properties': [('type', 'Viewport_Toggle_all_selected')]},
                     {'label': 'Edit Toggle', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'THREE', 'value': 'PRESS', 'properties': [('type', 'Edit_Toggle')]},
                     {'label': 'Cage Toggle', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'FOUR', 'value': 'PRESS', 'properties': [('type', 'Cage_Toggle')]},
                     {'label': 'Delete Modifier', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'X', 'value': 'PRESS', 'properties': [('type', 'delete')]},
                     {'label': 'Delete Selected Objects Modifier', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'X', 'value': 'PRESS', 'alt': True, 'properties': [('type', 'delete_named_modi_on_all_selected')]},
                     {'label': 'Apply Modifer', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'A', 'value': 'PRESS', 'properties': [('type', 'Apply')]},
                     {'label': 'Toggle Modifier and Data Tab', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key_no_undo', 'type': 'TAB', 'value': 'PRESS', 'properties': [('type', 'Toggle_Space')]},
                     {'label': 'Material Tab', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key_no_undo', 'type': 'M', 'value': 'PRESS', 'properties': [('type', 'Material_Tab')]},
                     {'label': 'Duplicate', 'keymap': 'Property Editor', 'space_type': 'PROPERTIES', 'idname': 'keyops.modi_key', 'type': 'D', 'value': 'PRESS', 'properties': [('type', 'Duplicate')]}],
        'VIEWPORT_MENU': [{'label': 'Viewport Menu', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'wm.call_menu', 'type': 'V', 'value': 'PRESS', 'alt': True, 'properties': [('name', 'VIEW3D_MT_viewport_menu')]},
                          {'label': 'Viewport Menu', 'keymap': 'Mesh', 'idname': 'wm.call_menu', 'type': 'V', 'value': 'PRESS', 'alt': True, 'properties': [('name', 'VIEW3D_MT_viewport_menu')]}],
        #Pie Menu
        'ADD_OBJECTS_PIE': [{'label': 'Add Object Pie', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'wm.call_menu_pie', 'type': 'A', 'value': 'PRESS', 'shift': True, 'alt': True, 'properties': [('name', 'KEYOPS_MT_add_objects_pie_menu')]}],           
        'UTILITY_PIE': [{'label': 'Utility Pie Edit Mode', 'keymap': 'Mesh', 'idname': 'wm.call_menu_pie', 'type': 'U', 'value': 'PRESS', 'properties': [('name', 'KEYOPS_MT_utility_pie')]},
                        {'label': 'Utility Pie Object Mode', 'keymap': 'Object Mode', 'idname': 'wm.call_menu_pie', 'type': 'U', 'value': 'PRESS', 'properties': [('name', 'KEYOPS_MT_utility_pie')]}],
        'ADD_MODIFIER_PIE': [{'keymap': 'Window','space_type': 'EMPTY', 'idname': 'wm.call_menu_pie', 'type': 'Q', 'value': 'PRESS', 'shift': True, 'properties': [('name', 'KEYOPS_MT_add_modifier_pie')]}],
        'WORKSPACE_PIE': [{'keymap': 'Window', 'space_type': 'EMPTY', 'idname': 'wm.call_menu_pie', 'type': 'BACK_SLASH', 'value': 'PRESS', 'shift': True, 'properties': [('name', 'KEYOPS_MT_workspace_pie')]}],
        'CURSOR_PIE': [{'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'wm.call_menu_pie', 'type': 'S', 'value': 'PRESS', 'shift': True, 'properties': [('name', 'KEYOPS_MT_cursor_pie')]}],
        #Game Art Toolkit
        'QUICK_EXPORT': [{'label': 'Quick Export', 'keymap': '3D View Generic', 'space_type': 'VIEW_3D', 'idname': 'keyops.quick_export', 'type': 'E', 'value': 'PRESS', 'ctrl': True}],
        'TOOLKIT_PANEL': [{'label': 'Instant Apply All Modifiers', 'keymap': 'Object Mode', 'idname': 'keyops.toolkit_panel', 'type': 'C', 'value': 'PRESS', 'alt': True, 'properties': [('type', 'Instant_Apply_Modifiers')]},
                          {'label': 'Snap to Floor', 'keymap': 'Object Mode', 'idname': 'keyops.toolkit_panel', 'type': 'THREE', 'value': 'PRESS', 'alt': True, 'properties': [('type', 'snap_to_floor')]},
                          {'label': 'Duplicate Linked', 'keymap': 'Object Mode', 'idname': 'keyops.toolkit_panel', 'type': 'D', 'value': 'PRESS', 'alt': True, 'shift': True, 'properties': [('type', 'duplicate_linked_modifiers_and_move')]},
                        #   {'label': 'Diffrance', 'keymap': 'Object Mode', 'idname': 'object.add_boolean_modifier_operator', 'type': 'NUMPAD_MINUS', 'value': 'PRESS', 'ctrl': True, 'properties': [('type', 'DIFFERENCE')]},
                        #   {'label': 'Union', 'keymap': 'Object Mode', 'idname': 'object.add_boolean_modifier_operator', 'type': 'NUMPAD_PLUS', 'value': 'PRESS', 'ctrl': True, 'properties': [('type', 'UNION')]},
                        #   {'label': 'Intersect', 'keymap': 'Object Mode', 'idname': 'object.add_boolean_modifier_operator', 'type': 'NUMPAD_ASTERIX', 'value': 'PRESS', 'ctrl': True, 'properties': [('type', 'INTERSECT')]},
                        #   {'label': 'Slice', 'keymap': 'Object Mode', 'idname': 'object.add_boolean_modifier_operator', 'type': 'NUMPAD_SLASH', 'value': 'PRESS', 'ctrl': True, 'properties': [('type', 'SLICE')]},
                           {'label': 'Material List', 'keymap': 'Mesh', 'idname': 'wm.call_menu', 'type': 'M', 'value': 'PRESS', 'alt': True, 'properties': [('name', 'MATERIAL_MT_material_list')]}],
      }
